%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-jwt-simple
Version:    0.2.0
Release:    2%{?dist}
Summary:    JWT(JSON Web Token) encode and decode module for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/hokaccha/node-jwt-simple
Source0:    http://registry.npmjs.org/jwt-simple/-/jwt-simple-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(expect.js)
BuildRequires:  npm(mocha)
%endif

%description
%{summary}


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/jwt-simple
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/jwt-simple

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha test/basic.js
%endif


%files
%doc History.md LICENSE README.md
%{nodejs_sitelib}/jwt-simple


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.0-1
- update to upstream release 0.2.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-4
- restrict to compatible arches

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.0-3
- rebuild for missing npm(jwt-simple) provides on EL6

* Sun Mar 10 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-2
- remove zero-byte History.md

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- initial package
